searchData={"items":[{"type":"module","title":"Snappyrex","doc":"Snappyrex is a Rustler wrapper leveraging the 'snap' package as a NIF for fast Snappy compression/decompression in Elixir.","ref":"Snappyrex.html"},{"type":"module","title":"Usage - Snappyrex","doc":"```elixir\r\niex> Snappyrex.compress(\"hello\")\r\n{:ok, <<5, 16, 104, 101, 108, 108, 111>>}\r\niex> Snappyrex.decompress(<<5, 16, 104, 101, 108, 108, 111>>)\r\n{:ok, \"hello\"}\r\niex> Snappyrex.compress(\"hello\", format: :frame)\r\n{:ok, <<255, 6, 0, 0, 115, 78, 97, 80, 112, 89, 1, 9, 0, 0, 187, 31, 28, 25, 104, 101, 108, 108, 111>>}\r\niex> Snappyrex.decompress(<<255, 6, 0, 0, 115, 78, 97, 80, 112, 89, 1, 9, 0, 0, 187, 31, 28, 25, 104, 101, 108, 108, 111>>, format: :frame)\r\n{:ok, \"hello\"}\r\n```","ref":"Snappyrex.html#module-usage"},{"type":"function","title":"Snappyrex.compress/2","doc":"Compress a binary.","ref":"Snappyrex.html#compress/2"},{"type":"function","title":"Options - Snappyrex.compress/2","doc":"- `:format` - `:frame` or `:raw` (default: `:raw`)","ref":"Snappyrex.html#compress/2-options"},{"type":"function","title":"Snappyrex.decompress/2","doc":"Decompress a binary.\r\n\r\nSetting `detect` to true will attempt to detect the format of the compressed data.\r\nIt will first try to decompress with the format specified, only use the detected format if the decompression fails and the detected format is different from the specified format.","ref":"Snappyrex.html#decompress/2"},{"type":"function","title":"Options - Snappyrex.decompress/2","doc":"- `:format` - `:frame` or `:raw` (default: `:raw`)\r\n- `:detect` - `true` or `false` (default: `false`)","ref":"Snappyrex.html#decompress/2-options"},{"type":"extras","title":"Snappyrex","doc":"# Snappyrex\r\n\r\n  Snappyrex is a [`Rustler`](https://github.com/rusterlium/rustler) wrapper leveraging the [`snap`](https://docs.rs/snap) package as a NIF for fast Snappy compression/decompression in Elixir.","ref":"readme.html"},{"type":"extras","title":"Installation - Snappyrex","doc":"The package can be installed by adding `snappyrex` to your list of dependencies in `mix.exs`:\r\n\r\n```elixir\r\ndef deps do\r\n  [\r\n    {:snappyrex, \"~> 0.1.0\"}\r\n  ]\r\nend\r\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Snappyrex","doc":"```elixir\r\niex> Snappyrex.compress(\"hello\")\r\n{:ok, <<5, 16, 104, 101, 108, 108, 111>>}\r\n  \r\niex> Snappyrex.decompress(<<5, 16, 104, 101, 108, 108, 111>>)\r\n{:ok, \"hello\"}\r\n  \r\niex> Snappyrex.compress(\"hello\", format: :frame)\r\n{:ok, <<255, 6, 0, 0, 115, 78, 97, 80, 112, 89, 1, 9, 0, 0, 187, 31, 28, 25, 104, 101, 108, 108, 111>>}\r\n  \r\niex> Snappyrex.decompress(<<255, 6, 0, 0, 115, 78, 97, 80, 112, 89, 1, 9, 0, 0, 187, 31, 28, 25, 104, 101, 108, 108, 111>>, format: :frame)\r\n{:ok, \"hello\"}\r\n```","ref":"readme.html#usage"},{"type":"extras","title":"Credits - Snappyrex","doc":"[rusterlium/rustler](https://github.com/rusterlium/rustler)\r\n\r\n[Rust `snap` package](https://github.com/BurntSushi/rust-snappy)","ref":"readme.html#credits"},{"type":"extras","title":"LICENSE","doc":"MIT License\r\n\r\nCopyright (c) [2025] [c2bw]\r\n\r\nPermission is hereby granted, free of charge, to any person obtaining a copy\r\nof this software and associated documentation files (the \"Software\"), to deal\r\nin the Software without restriction, including without limitation the rights\r\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\r\ncopies of the Software, and to permit persons to whom the Software is\r\nfurnished to do so, subject to the following conditions:\r\n\r\nThe above copyright notice and this permission notice shall be included in all\r\ncopies or substantial portions of the Software.\r\n\r\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\r\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\r\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\r\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\r\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\r\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\r\nSOFTWARE.","ref":"license.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}